#include <iostream.h>
#include <stdlib.h>
#include <varargs.h>
#include <stdio.h>
#include <memory.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <netdb.h>
#include <sys/time.h>
#include <sys/types.h>
#include <unistd.h>
#include <fcntl.h>
#include <sys/resource.h>
#include <string.h>

 
extern int      errno;
//extern char     *sys_errlist[];
 
#ifndef INADDR_NONE
#define INADDR_NONE     0xffffffff
#endif

#ifndef port
typedef struct  sockaddr_in port;
#endif
 
#define CORSA   1

int		passivesock(char *, char *, int);
int     passiveUDP(char *);
int     passiveTCP(char *, int);
int     connectsock(char *, char *, char *);
int     connectUDP(char *, char *);
int     connectTCP(char *, char *);
